iwd-0.16-22.2.i586.rpm


Advertisement

Description

iwd - Wireless daemon for Linux

Property Value
Distribution openSUSE Tumbleweed
Repository Hardware all
Package filename iwd-0.16-22.2.i586.rpm
Package name iwd
Package version 0.16
Package release 22.2
Package architecture i586
Package type rpm
Category Productivity/Networking/Other
Homepage https://git.kernel.org/pub/scm/network/wireless/iwd.git
License LGPL-2.1-or-later
Maintainer -
Download size 297.25 KB
Installed size 913.63 KB
The iNet Wireless Daemon (iwd) project provides a wireless
connectivity solution. It attempts to optimise resource utilisation
of storage, runtime memory and link-time costs. It utilises the
features provided by the Linux kernel.

Alternatives

Package Version Architecture Repository
iwd-0.16-22.2.x86_64.rpm 0.16 x86_64 Hardware
iwd-0.16-1.1.x86_64.rpm 0.16 x86_64 openSUSE Oss
iwd-0.16-1.1.i586.rpm 0.16 i586 openSUSE Oss
iwd - - -

Requires

Name Value
libc.so.6(GLIBC_2.25) -
libdl.so.2 -
libell.so.0 -
libell.so.0(ELL_0.10) -
libreadline.so.8 -

Provides

Name Value
iwd = 0.16-22.2
iwd(x86-32) = 0.16-22.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package iwd-0.16-22.2.i586.rpm
Source Package iwd-0.16-22.2.src.rpm

Install Howto

  1. Add the Hardware repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/hardware/openSUSE_Tumbleweed/ hardware
  2. Install iwd rpm package:
    # zypper install iwd

Files

Path
/usr/bin/iwctl
/usr/bin/iwmon
/usr/lib/iwd/iwd
/usr/lib/modules-load.d/pkcs8.conf
/usr/lib/systemd/system/iwd.service
/usr/sbin/rciwd
/usr/share/dbus-1/system-services/net.connman.iwd.service
/usr/share/dbus-1/system.d/iwd-dbus.conf
/usr/share/doc/packages/iwd/AUTHORS
/usr/share/doc/packages/iwd/ChangeLog
/usr/share/doc/packages/iwd/README
/usr/share/licenses/iwd/COPYING

Changelog

2019-04-05 - Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 0.16 (changes since 0.13):
* Add support for tunneled MSCHAPv2 authentication.
* Fix an issue with handling RSSI thresholds.
* Fix an issue with handling abort for a connection.
* Fix an issue with stopping Access Point operation.
* Add support for individual BSS blacklisting.
* Add support for utilising MAC randomisation.
* Add support for utilising different key lengths.
* Add support for 16, 24 and 32 byte MIC lengths.
* Add support for handling driver rekying feature.
* Add missing pkcs8.conf for module loading.
2018-12-13 - Jan Engelhardt <jengelh@inai.de>
- Avoid using bundled copy of ell
2018-12-13 - mardnh@gmx.de
- Update to version 0.13:
* Fix issue with WSC interface runtime handling.
* Add support for Opportunistic Wireless Encryption.
* Add support for common EAP-TLS framework.
2018-11-17 - sean@suspend.net
- Update to version 0.12:
* build: require at least version 0.15 when building ext ELL
* network: simplify is_rsn logic
* network: Check autoconnectable as the first condition
* network: Introduce __bss_is_sae
* scan: make scan_bss_get_rsn_info const correct
* network: fix 8021x autoconnect
* station: only set 8021x networks
* client: fix mem leak
2018-10-23 - sean@suspend.net
- Update to version 0.10:
* Fix issue with Ethernet authentication packet handling
* Fix issue with ad-hoc network scan results in station mode
* Fix issue with cancellation of ongoing rekey offload
* Add support for setting per-mac GTK credentials
* Add support for using external Embedded Linux library
2018-10-09 - sor.alexei@meowr.ru
- Update to version 0.9:
* Fix an issue with handling EAP-WSC passwords.
* Add support for TTLS-CHAP and TTLS-PAP.
* Add support for handling FT over SAE.
2018-09-24 - sor.alexei@meowr.ru
- Update to version 0.8:
* Fix issue with handling EAP_CACHE_NEVER secret types.
* Fix issue with redundant usage of the L flag and PEAP.
* Fix issue with EAP type 33 as termination mechanism for PEAPv1.
* Add initial version of Ethernet authentication daemon.
* Add support for Station mode interface.
2018-09-11 - astieger@suse.com
- add upstream signing key and validate source signature
2018-09-11 - sor.alexei@meowr.ru
- Update to version 0.7 (changes since 0.4):
* Fix an issue with EAPoL handling and Ad-Hoc networks.
* Add support for using agent with EAP-GTC methods.
* Add support for improved Known Networks management.
* Add support for Simultaneous Authentication of Equals.
* Add support for exposing supported modes of operation.
* Add support for D-Bus auto-activation via systemd.
* Fix an issue with synching the PSK on first connection.
* Fix an issue with unnecessary known object removal events.
* Fix an issue with hard coded peer address and SAE networks.
* Fix an issue with raw passphrase requirement and SAE networks.
* Fix an issue with differentiating authenticator and supplicant.
* Fix an issue with timestamps comparison of known networks.
* Fix an issue with handling cancellation of power callbacks.
* Fix an issue with honouring auto-connect setting on power up.
* Fix an issue with a crash during operstate callbacks.
2018-07-27 - sor.alexei@meowr.ru
- Update to version 0.4:
* Fix an issue with handling all zero PMKID.
* Fix an issue with handling PEAP servers and M bit requirement.
* Fix an issue with handling MS-CHAP v2 and uninitialised memory.
* Fix an issue with handling a memory leak and aborting
connections.
* Fix an issue with handling a memory leak and PSK configuration.
* Fix an issue with handling a not yet running D-Bus daemon.
* Add support for advanced scanning of hidden networks.
* Add support for MAC address randomisation.
* Add support for the Ad-Hoc network interface.
* Add support for the Access Point interface.

See Also

Package Description
java-mraa-2.0.0-34.2.i586.rpm Java bindings for mraa
java-mraa-2.0.0-34.2.x86_64.rpm Java bindings for mraa
jpnevulator-2.3.4-4.7.i586.rpm Serial Sniffer
jpnevulator-2.3.4-4.7.x86_64.rpm Serial Sniffer
killswitch-applet-0.2.3-22.13.noarch.rpm Manage Killswitches
libGammu8-1.40.0-50.12.i586.rpm Mobile phone management library
libGammu8-1.40.0-50.12.x86_64.rpm Mobile phone management library
libbrlapi0_7-6.0-103.5.i586.rpm Library to use BRLTTY from applications
libbrlapi0_7-6.0-103.5.x86_64.rpm Library to use BRLTTY from applications
libcec-devel-4.0.4-32.5.i586.rpm Development files for the USB CEC adapter communication library
libcec-devel-4.0.4-32.5.x86_64.rpm Development files for the USB CEC adapter communication library
libcec4-4.0.4-32.5.i586.rpm USB CEC adapter communication library
libcec4-4.0.4-32.5.x86_64.rpm USB CEC adapter communication library
libcpupower0-5.1-105.2.i586.rpm Obsolete processor frequency related C-library
libcpupower0-5.1-105.2.x86_64.rpm Obsolete processor frequency related C-library
Advertisement
Advertisement